package com.ruoyi.project.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 tp_area_elevator_model_para
 *
 * @author ruoyi
 * @date 2024-04-29
 */
public class TpAreaElevatorModelPara extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 电梯型号ID */
    @Excel(name = "电梯型号ID")
    private Long elevatorModelId;

    /** 参数库id */
    @Excel(name = "参数库id")
    private Long paraId;

    /** 参数编码 */
    @Excel(name = "参数编码")
    private String paraCode;

    /** 参数名称 */
    @Excel(name = "参数名称")
    private String paraName;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setElevatorModelId(Long elevatorModelId)
    {
        this.elevatorModelId = elevatorModelId;
    }

    public Long getElevatorModelId()
    {
        return elevatorModelId;
    }
    public void setParaId(Long paraId)
    {
        this.paraId = paraId;
    }

    public Long getParaId()
    {
        return paraId;
    }
    public void setParaCode(String paraCode)
    {
        this.paraCode = paraCode;
    }

    public String getParaCode()
    {
        return paraCode;
    }
    public void setParaName(String paraName)
    {
        this.paraName = paraName;
    }

    public String getParaName()
    {
        return paraName;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("elevatorModelId", getElevatorModelId())
                .append("paraId", getParaId())
                .append("paraCode", getParaCode())
                .append("paraName", getParaName())
                .append("sort", getSort())
                .append("delFlag", getDelFlag())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdateBy())
                .append("remark", getRemark())
                .toString();
    }
}

